Форум русскоязычного сообщества Ubuntu


Автор Тема: fast update data  (Прочитано 2123 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн KiberBylka

  • Автор темы
  • Любитель
  • *
  • Сообщений: 69
    • Просмотр профиля
fast update data
« : 21 Январь 2019, 19:05:43 »
Доброго времени суток, захотел запустить игру и вспомнить былые времена, но вот не задача выдает ошибку и не как не могу понять с чем это связано, помогите пожалуйста. :'(

Неблагодарных гораздо меньше, чем полагают, ибо щедрых значительно меньше, чем думают.

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3511
  • Nil mortalibus arduum est
    • Просмотр профиля
Re: fast update data
« Ответ #1 : 21 Январь 2019, 19:11:45 »
и не как не могу понять с чем это связано
Исходя из исчерпывающей информации, которую Вы предоставили, а именно:
- версии wine
- наполнения префикса
- точного имени или прямой ссылки на игру, которую Вы пытаетесь запустить
- выхлопа терминала при попытке стартовать с этой игрой (wine /полный/путь/к/программе/программа.exe)
могу с уверенностью утверждать:
1. телепаты в отпуске
2. не может загрузить файл "Fast Update Data"
И не благодарите ;)
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн KiberBylka

  • Автор темы
  • Любитель
  • *
  • Сообщений: 69
    • Просмотр профиля
Re: fast update data
« Ответ #2 : 21 Январь 2019, 19:25:50 »
Простите, вот
- версии wine: wine-1.6.2
- наполнения префикса: я не знаю как это смотреть  :'(

- точного имени или прямой ссылки на игру, которую Вы пытаетесь запустить: asterios.tm

- выхлопа терминала при попытке стартовать с этой игрой (wine /полный/путь/к/программе/программа.exe):
(Нажмите, чтобы показать/скрыть)

Неблагодарных гораздо меньше, чем полагают, ибо щедрых значительно меньше, чем думают.

Оффлайн Dzhoser

  • Старожил
  • *
  • Сообщений: 2074
    • Просмотр профиля
Re: fast update data
« Ответ #3 : 21 Январь 2019, 20:14:06 »
sudo apt-get install fglrx-pxpress

Оффлайн KiberBylka

  • Автор темы
  • Любитель
  • *
  • Сообщений: 69
    • Просмотр профиля
Re: fast update data
« Ответ #4 : 21 Январь 2019, 22:09:03 »
sudo apt-get install fglrx-pxpress

(Нажмите, чтобы показать/скрыть)
ошибка та же
Неблагодарных гораздо меньше, чем полагают, ибо щедрых значительно меньше, чем думают.

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3511
  • Nil mortalibus arduum est
    • Просмотр профиля
Re: fast update data
« Ответ #5 : 21 Январь 2019, 22:28:25 »
ошибка та же
слабо верится. Вывод покажите, - может там все же что-то, да отличается...
KiberBylka, а вообще говоря, нашёл тут кое-что...
Исходя из материала по ссылке, - если и получится запустить - то в скором времени будет либо бан, либо просто запускаться перестанет.
Наполнение префикса - это какие дополнительные библиотеки Вы установили для того, чтобы игра работала. DirectX, например. Вот здесь неплохая инструкция, по которой я некогда свой префикс настраивал. Он с той поры из системы в систему мною перетаскивается, и программы продолжают работать без особых заморочек (со сложными случаями не сталкивался по крайней мере). Сделать это нужно один раз, но нужно.
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн KiberBylka

  • Автор темы
  • Любитель
  • *
  • Сообщений: 69
    • Просмотр профиля
Re: fast update data
« Ответ #6 : 21 Январь 2019, 23:11:06 »
ошибка та же
слабо верится. Вывод покажите, - может там все же что-то, да отличается...
KiberBylka, а вообще говоря, нашёл тут кое-что...
Исходя из материала по ссылке, - если и получится запустить - то в скором времени будет либо бан, либо просто запускаться перестанет.
Наполнение префикса - это какие дополнительные библиотеки Вы установили для того, чтобы игра работала. DirectX, например. Вот здесь неплохая инструкция, по которой я некогда свой префикс настраивал. Он с той поры из системы в систему мною перетаскивается, и программы продолжают работать без особых заморочек (со сложными случаями не сталкивался по крайней мере). Сделать это нужно один раз, но нужно.

(Нажмите, чтобы показать/скрыть)

Пользователь добавил сообщение 21 Январь 2019, 23:14:13:
Вы установили для того, чтобы игра работала. DirectX, например. Вот здесь
в статье описано что это делается для версии вайн 1.5.7 а для своей 1.6.2 я могу это делать?
« Последнее редактирование: 21 Январь 2019, 23:14:13 от KiberBylka »
Неблагодарных гораздо меньше, чем полагают, ибо щедрых значительно меньше, чем думают.

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3511
  • Nil mortalibus arduum est
    • Просмотр профиля
Re: fast update data
« Ответ #7 : 22 Январь 2019, 06:18:35 »
modprobe: FATAL: Module fglrx not found in directory /lib/modules/4.15.0-43-generic
Покажите выводы
dmesg | egrep -i "(error|fail|warning)"
lspci -k | grep -EA2 'VGA|3D'
lsmod | fglrx
uname -r
cat /proc/cmdline
cat /etc/issue.net
в статье описано что это делается для версии вайн 1.5.7 а для своей 1.6.2 я могу это делать?
Вот для понимания процесса: несмотря на то, что WINE считает себя не эмулятором, с точки зрения пользователя можно считать, что он именно что эмулирует некую версию Windows со всеми ее библиотеками и вспомогательными программами. Вам попадалась версия Windows, в которой для запуска игр не нужна была бы та же directX? Настраивать префикс (с установкой не только directx, но и многого иного, - в статье вся информация есть) не только можно, но и нужно. Если что пойдет не так и где-то напортачите - удалите текущее заполнение префикса (достаточно удалить или переименовать директорию ~/.wine), и запустите winecfg (новый префикс будет создан автоматически. Заведомо предупреждаю: Ваша
asterios.tm
установлена в пределах текущего префикса. Если префикс будет использоваться другой - игра останется в старом, и будет использовать под себя те ресурсы, которые в старом префиксе доступны. Устанавливайте winetricks, если ее еще у Вас нет, и ставьте все модули из статьи по ссылке в том порядке, как они там описаны.
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн KiberBylka

  • Автор темы
  • Любитель
  • *
  • Сообщений: 69
    • Просмотр профиля
Re: fast update data
« Ответ #8 : 22 Январь 2019, 08:01:41 »
dmesg | egrep -i "(error|fail|warning)"
modprobe: FATAL: Module fglrx not found in directory /lib/modules/4.15.0-43-generic
Покажите выводы
Код: [Выделить]
dmesg | egrep -i "(error|fail|warning)"
lspci -k | grep -EA2 'VGA|3D'
lsmod | fglrx
uname -r
cat /proc/cmdline
cat /etc/issue.net
(Нажмите, чтобы показать/скрыть)
(Нажмите, чтобы показать/скрыть)

(Нажмите, чтобы показать/скрыть)
(Нажмите, чтобы показать/скрыть)
(Нажмите, чтобы показать/скрыть)
(Нажмите, чтобы показать/скрыть)
мне кажется эта видюха не показаны была выше...



Неблагодарных гораздо меньше, чем полагают, ибо щедрых значительно меньше, чем думают.

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3511
  • Nil mortalibus arduum est
    • Просмотр профиля
Re: fast update data
« Ответ #9 : 22 Январь 2019, 08:28:23 »
lsmod | fglrx
Извиняюсь. Корректно будет так (выхлоп скорее всего будет пустым):
lsmod | grep fglrx
Пользователь добавил сообщение 22 Январь 2019, 08:33:55:
мне кажется эта видюха не показаны была выше
Да. В выводе lspci по фильтру, который мы с Вами задали, ее не видно. К сожалению, у меня нет опыта работы с AMD. Не уверен насколько критично то, что этот баг вылезает. Допускаю, что он может ни на что и не влиять. Попробуйте наполнить префикс и настроить его через winecfg: существует вероятность, что после корректной забивки префикса приложение сможет удачно стартовать.
« Последнее редактирование: 22 Январь 2019, 08:34:17 от zg_nico »
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн Dzhoser

  • Старожил
  • *
  • Сообщений: 2074
    • Просмотр профиля
Re: fast update data
« Ответ #10 : 22 Январь 2019, 09:17:34 »
Переключитесь на открытые драйвера видеокарты

Оффлайн KiberBylka

  • Автор темы
  • Любитель
  • *
  • Сообщений: 69
    • Просмотр профиля
Re: fast update data
« Ответ #11 : 22 Январь 2019, 09:18:25 »
Извиняюсь. Корректно будет так (выхлоп скорее всего будет пустым):
Код: [Выделить]
lsmod | grep fglrx
да пусто

Пользователь добавил сообщение 22 Январь 2019, 09:18:38:
Переключитесь на открытые драйвера видеокарты
как это сделать?
Неблагодарных гораздо меньше, чем полагают, ибо щедрых значительно меньше, чем думают.

Оффлайн Dzhoser

  • Старожил
  • *
  • Сообщений: 2074
    • Просмотр профиля
Re: fast update data
« Ответ #12 : 22 Январь 2019, 09:23:05 »
https://forum.ubuntu.ru/index.php?topic=289447.0

Пользователь добавил сообщение 22 Январь 2019, 09:25:21:
4 сверху пост
« Последнее редактирование: 22 Январь 2019, 09:25:21 от Dzhoser »

Оффлайн KiberBylka

  • Автор темы
  • Любитель
  • *
  • Сообщений: 69
    • Просмотр профиля
Re: fast update data
« Ответ #13 : 22 Январь 2019, 09:36:46 »
https://forum.ubuntu.ru/index.php?topic=289447.0

Пользователь добавил сообщение 22 Январь 2019, 09:25:21:
4 сверху пост

4 сверху пост вот этот
(Нажмите, чтобы показать/скрыть)
и что я тут могу понять?))

Пользователь добавил сообщение 22 Январь 2019, 09:42:01:
Цитата: zg_nico от 21 Январь 2019, 22:28:25
Вы установили для того, чтобы игра работала. DirectX, например. Вот здесь
в статье описано что это делается для версии вайн 1.5.7 а для своей 1.6.2 я могу это делать?

что с этим делать?
« Последнее редактирование: 22 Январь 2019, 09:42:02 от KiberBylka »
Неблагодарных гораздо меньше, чем полагают, ибо щедрых значительно меньше, чем думают.

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3511
  • Nil mortalibus arduum est
    • Просмотр профиля
Re: fast update data
« Ответ #14 : 22 Январь 2019, 10:33:29 »
что с этим делать?
очевидно, удалять dotnet 1.1 и устанавливать dotnet 2.0. Либо выбирать, что именно Вам нужно (2.0 / 1.1). В статье же сказано:
Цитировать
установка дополнительны компонентов в Wine вопрос щекотливый и единой инструкции дать невозможно (wine постоянно обновляется)
Вы не столкнулись с реальной проблемой работы wine. У Вас конфликт библиотек и компонентов windows, которыми Вы пытаетесь наполнить префикс. Суть наполнения префикса в том, что Вам следует определить для себя, что нужно приложениями, которые Вы пытаетесь запускать. Иными словами, не втупую выполняем все приведенное в статье, а читаем статью, и определяем для себя что именно следует ставить.
Информация по тому, как создать 32-х битный префикс: тут.
Информация по тому, как набивать префикс: еще вариант.
Наполнение моего префикса, где много чего работает (конкретно Ваше приложение ставить нет желания, так что гарантировать его запуск не могу):
dll: d3dx10, d3dx10_43, d3dx11_43, d3dx9, d3dx9_24, d3dx9_25, d3dx9_26, d3dx9_27, d3dx9_28, d3dx9_29, d3dx9_30, d3dx9_31, d3dx9_32, d3dx9_33, d3dx9_34, d3dx9_35, d3dx9_36, d3dx9_37, d3dx9_38, d3dx9_39, d3dx9_40, d3dx9_41, d3dx9_42, d3dx9_43, d3dxof, devenum, dinput8, dirac, directmusic, directplay, directx9, dmsynth, dotnet11, dotnet11sp1, dotnet20sp2, dsound, dxdiag, dxdiagn, gdiplus, gdiplus_winxp, gmdls, icodecs, l3codecx, mfc40, mfc42, msvcirt, physx, quartz, vb5run, vb6rub, vcrun2003, vcrun2005, vcrun2008, vcrun2010, vcrun6, vcrun6sp6, wmp10, wsh56js, wsh56vb, wsh57, xact, xinput, xvid
fonts: corefonts
И к слову уж: если через winetricks не ставится что-то - можно поискать инсталлятор в сети. Вполне возможно, что сторонний инсталлятор установит требуемую библиотеку без каких-либо проблем (у меня стоят одновременно dotnet11, dotnet11sp1, dotnet20sp2, как можно видеть из списка выше).
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

 

Страница сгенерирована за 0.125 секунд. Запросов: 24.